class Users::AuthenticationAppliesController < Users::BaseAccountController
  before_action :private_user_resources!

  def create
    Users::ApplyAuthenticationService.call(observed_user, create_params)
    render_ok
  rescue Users::ApplyAuthenticationService::Error => ex
    render_error(ex.message)
  end

  private

  def create_params
    params.permit(:name, :id_number, :upload_image)
  end
end